Bug 1020672 - [Firstboot] Invalid/Not providing credentials in the register screens of first boot send the main firstboot screen to background/minimised
[Firstboot] Invalid/Not providing credentials in the register screens of firs...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.1
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks: rhsm-rhel71
  Show dependency treegraph
 
Reported: 2013-10-18 03:16 EDT by Rehana
Modified: 2014-11-03 10:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-03 10:42:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rehana 2013-10-18 03:16:52 EDT
Description of problem:
Observed that  when no/wrong user details were given in the firstboot subscription register screen, firstboot screen was send to background/minimised 

Version-Release number of selected component (if applicable):
subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.8.29-1
subscription-manager: 1.10.4-1.el7
python-rhsm: 1.10.3-1.el7


How reproducible:
4/4

Steps to Reproduce:
1.Launch firstoot
2.move to subscription register screen
3.click forward without entering the credentials --(A)
4.Issue wrong credentials and click next (B)

Actual results:
Observed that during both the cases (A) & (B) when the error message screen pops up the main First boot screen was getting minimised or send to background and after clicking "Ok" on the msg window the firstboot screen didnt come up

Expected results:
The error screen should display on the main first boot screen and after clicking "Ok" on the error message screen the control should go back to first boot screen 

Additional info:
Comment 1 Devan Goodwin 2014-01-22 08:36:33 EST
Need to verify but I suspect this is just how firstboot behaves when an error is thrown and you're running it manually *after* logging into the system. (note that this is not how firstboot is normally meant to be used, only something we do for dev/QE testing)

I have seen this behaviour for popups after hardware profile reporting screens in firstboot, I think it's just an issue with how firstboot behaves if you're already logged in.

Need to test this but suspect this is a close wontfix or cantfix.
Comment 2 Bryan Kearney 2014-03-19 16:50:18 EDT
Moving bugs from 7.0 to 7.1
Comment 4 Bryan Kearney 2014-07-30 15:21:38 EDT
Acking 7.1
Comment 5 Devan Goodwin 2014-11-03 10:42:13 EST
Closing as firstboot is largely unmaintained now, and we are only considering critical fixes. 

Will be addressed for 7.2 by the planned port to new anaconda installer modules. More details in comment #1.

Note You need to log in before you can comment on or make changes to this bug.